glab(1)

NAME
glab-runner-controller-scope-delete - Delete a scope from a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller scope delete [flags]

DESCRIPTION
Deletes a scope from a runner controller. This is an administrator-only feature.

Use one of the following flags to specify the scope type:

•   --instance: Remove an instance-level scope from the runner controller.

•   --runner : Remove a runner-level scope for a specific runner. Multiple IDs can be comma-separated or specified by repeating the flag.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-f, --force[=false]
    Skip confirmation prompt.

--instance[=false]
    Remove an instance-level scope.

--runner=[]
    Remove a runner-level scope for the specified runner ID. Multiple IDs can be comma-separated or specified by repeating the flag.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Remove an instance-level scope from runner controller 42 (with confirmation)
    glab runner-controller scope delete 42 --instance
    # Remove an instance-level scope without confirmation
    glab runner-controller scope delete 42 --instance --force
    # Remove a runner-level scope for runner 5 from runner controller 42
    glab runner-controller scope delete 42 --runner 5 --force
    # Remove runner-level scopes for multiple runners
    glab runner-controller scope delete 42 --runner 5 --runner 10 --force
    glab runner-controller scope delete 42 --runner 5,10 --force

SEE ALSO
glab-runner-controller-scope(1)